"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const cors_1 = __importDefault(require("cors"));
const express_1 = __importStar(require("express"));
const config_1 = require("./config/config");
const error_handler_1 = require("./utils/error-handler");
const printer_router_1 = __importDefault(require("./routes/printer.router"));
const supply_router_1 = __importDefault(require("./routes/supply.router"));
const store_router_1 = __importDefault(require("./routes/store.router"));
const reportRouter_1 = __importDefault(require("./routes/reportRouter"));
const app = (0, express_1.default)();
// parsing json.
app.use((0, express_1.json)());
// cors
app.use((0, cors_1.default)({
    origin: (_a = config_1.config.corsOrigin) !== null && _a !== void 0 ? _a : '*',
    methods: ['GET', 'POST', 'PUT', 'DELETE'],
    preflightContinue: false,
}));
app.use('/api', printer_router_1.default);
app.use('/api', supply_router_1.default);
app.use('/api', store_router_1.default);
app.use('/api', reportRouter_1.default);
app.use(error_handler_1.errorHandler);
exports.default = app;
//# sourceMappingURL=app.js.map