"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const printer_controller_1 = require("../controllers/printer.controller");
const printerRouter = (0, express_1.Router)();
printerRouter
    .get('/printers', printer_controller_1.getAllPrinters)
    .get('/printers/:id', printer_controller_1.getPrinterById)
    .get('/printers/:id/history', printer_controller_1.getPrinterWithHistoryById)
    .post('/printers', printer_controller_1.addPrinter)
    .post('/printers/:printerId/supply/:supplyId', printer_controller_1.installSupply)
    .put('/printers/:id', printer_controller_1.updatePrinter)
    .delete('/printers/:id', printer_controller_1.deletePrinter);
exports.default = printerRouter;
//# sourceMappingURL=printer.router.js.map