"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const supply_controller_1 = require("../controllers/supply.controller");
const supplyRouter = (0, express_1.Router)();
supplyRouter
    .get('/supplies', supply_controller_1.getAllSupplies)
    .get('/supplies/:id', supply_controller_1.getSupplyById)
    .get('/supplies/available/:model', supply_controller_1.getAvailableSupplies)
    .get('/supplies/model/:model', supply_controller_1.getSuppliesByModel)
    .post('/supplies', supply_controller_1.addSupply)
    .put('/supplies/:id', supply_controller_1.updateSupply)
    .delete('/supplies/:id', supply_controller_1.deleteSupply);
exports.default = supplyRouter;
//# sourceMappingURL=supply.router.js.map