"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppDataSource = void 0;
const typeorm_1 = require("typeorm");
const config_1 = require("../config/config");
const printer_entity_1 = require("../entities/printer.entity");
const supply_entity_1 = require("../entities/supply.entity");
const store_entity_1 = require("../entities/store.entity");
exports.AppDataSource = new typeorm_1.DataSource({
    type: 'mysql',
    host: 'localhost',
    port: 3306,
    username: config_1.config.db.username,
    password: config_1.config.db.password,
    database: config_1.config.db.database,
    synchronize: true,
    logging: false,
    entities: [printer_entity_1.PrinterEntity, supply_entity_1.SupplyEntity, store_entity_1.StoreEntity],
    migrations: ['build/src/migrations/*{.ts,.js}'],
    subscribers: [],
    // @ts-ignore
    cli: {
        migrationsDir: 'build/src/migrations'
    },
});
//# sourceMappingURL=data-source.js.map